

import numpy as np
import time
import CTimeTag

print ("This is the Python test program")


def ReadTags(tt):
        tt.PythonInternReadData()
        return (tt.PythonInternGetChannels(), tt.PythonInternGetTimes())

tt= CTimeTag.CTimeTag()
print ("Calibrating...")
tt.OpenPCIe();
tt.SetInputThreshold (1, 0.5);
tt.StartTimetags();

print()
print ("Press enter to start slow version")
input()
for loop in range (10):
	tag= tt.ReadNextTagValue()
	if tag is not None:
		print (tag.channel, tag.time)

print ("Press enter to start fast version")
input()
for loop in range (10):
    data= ReadTags(tt);
    len= data[0].size
    if len > 100:
	    len= 100;

    print ("Got ", len, " values:")
    old= 0
    for i in range (len):
        time= data[1][i]
        channel= data[0][i]

        diff= time-old
        old= time
        print (channel ,time, diff)
tt.StopTimetags()
tt.Close()
